Bug 3905 - MonetDB doesn't handle ANY/SOME/ALL operator correctly
Summary: MonetDB doesn't handle ANY/SOME/ALL operator correctly
Status: RESOLVED FIXED
Alias: None
Product: SQL
Classification: Unclassified
Component: all (show other bugs)
Version: 11.21.11 (Jul2015-SP1)
Hardware: x86_64 (amd64/em64t) Linux
: Normal normal
Assignee: SQL devs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-14 05:55 CET by Kaijiang
Modified: 2016-04-11 11:16 CEST (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kaijiang 2016-01-14 05:55:12 CET
User-Agent:       Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.106 Safari/537.36
Build Identifier: 

MonetDB doesn't handle ANY/SOME/ALL operator correctly

Reproducible: Always

Steps to Reproduce:
1.create table t1 (f1 int, f2 int); create table t3 (f1 int, f2 int);
2.insert some rows into the 2 tables
3.select * from t1 where f1 > ANY (select f2 from t3);

Actual Results:  
cardinality violation (11>1)
(SOME/ALL operator got the same result)

Expected Results:  
return rows in t1 where f1 > any f2 column in t3;
Comment 1 Kaijiang 2016-01-14 06:02:45 CET
This case works well in other DB, such as PostgreSQL.
Comment 2 Niels Nes cwiconfidential 2016-03-30 21:20:01 CEST
the parser already handled the any|more and all syntax. Now in the default branch also the semantics are properly handled. This (somewhat new feature) will be in the release after the Jun2016.
Comment 3 Sjoerd Mullender cwiconfidential 2016-04-11 11:16:08 CEST
Jul2015-SP4 has been released.